Subject: [dhcwg] Conflicting information regarding DHCP options 82 and 83.

From: Van Aken Dirk <[email-masked]>
Date: Mon, 7 Oct 2002 10:27:22 +0200

Hello DHCP Working Group,

I have some conflicting information regarding the DHCP options defined
below. i.e. On the IANA bootp-dhcp parameter list (
http://www.iana.org/assignments/bootp-dhcp-parameters ) I see the following
options:

   82      Agent Circuit ID         N    Agent Circuit ID
   83      Agent Remote ID          N    Agent Remote ID

On the other hand RFC3046 mentions the following":

2.0 Relay Agent Information Option

   This document defines a new DHCP Option called the Relay Agent
   Information Option.  It is a "container" option for specific agent-
   supplied sub-options.  The format of the Relay Agent Information
   option is:

          Code   Len     Agent Information Field
         +------+------+------+------+------+------+--...-+------+
         |  82  |   N  |  i1  |  i2  |  i3  |  i4  |      |  iN  |
         +------+------+------+------+------+------+--...-+------+

   The length N gives the total number of octets in the Agent
   Information Field.  The Agent Information field consists of a
   sequence of SubOpt/Length/Value tuples for each sub-option, encoded
   in the following manner:

          SubOpt  Len     Sub-option Value
         +------+------+------+------+------+------+--...-+------+
         |  1   |   N  |  s1  |  s2  |  s3  |  s4  |      |  sN  |
         +------+------+------+------+------+------+--...-+------+
          SubOpt  Len     Sub-option Value
         +------+------+------+------+------+------+--...-+------+
         |  2   |   N  |  i1  |  i2  |  i3  |  i4  |      |  iN  |
         +------+------+------+------+------+------+--...-+------+

   No "pad" sub-option is defined, and the Information field shall NOT
   be terminated with a 255 sub-option.  The length N of the DHCP Agent
   Information Option shall include all bytes of the sub-option
   code/length/value tuples.  Since at least one sub-option must be
   defined, the minimum Relay Agent Information length is two (2).  The
   length N of the sub-options shall be the number of octets in only
   that sub-option's value field.  A sub-option length may be zero.  The
   sub-options need not appear in sub-option code order.

   The initial assignment of DHCP Relay Agent Sub-options is as follows:

                 DHCP Agent              Sub-Option Description
                 Sub-option Code
                 ---------------         ----------------------
                     1                   Agent Circuit ID Sub-option
                     2                   Agent Remote ID Sub-option

So I wonder now if DHCP option 82 refers to the DHCP Relay Information
option for which there are defined two sub-options (1: Agent Circuit ID
Sub-option and 2:                Agent Remote ID Sub-option").

Or do I misunderstand something here ?

Thanks in advance - Dirk

Dirk Van Aken                              THOMSON multimedia Broadband
Belgium NV
System Architect                           Prins Boudewijnlaan 47,
Tel. : 03/443.65.08                        2650 Edegem
Fax.: 03/443.66.32                         Belgium
[email-masked]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kostur, Andre" <[email-masked]>
Date: Wed, 9 Oct 2002 08:52:43 -0700

I wonder if 83 was previously mentioned in a draft somewhere.  However, RFC
3046 is authoritative on this matter, and option 82 is the one to look at.
82 currently has 2 defined sub-options (and I know of 2 or 3 more that are
currently in draft)

-----Original Message-----
From: Van Aken Dirk [mailto:[email-masked]]
Sent: Monday, October 07, 2002 1:27 AM
To: [email-masked]'
Cc: Dedecker Hans; Dekeyser Miek
Subject: [dhcwg] Conflicting information regarding DHCP options 82 and
83.

On the other hand RFC3046 mentions the following":

Thanks in advance - Dirk

---

From: "Woundy, Richard" <[email-masked]>
Date: Wed, 9 Oct 2002 11:10:31 -0600

IANA seems to be a little more confused than we realize.

Looking at http://www.iana.org/assignments/bootp-dhcp-parameters, I see:

   82      Agent Circuit ID         N    Agent Circuit ID
   83      Agent Remote ID          N    Agent Remote ID
   84      Agent Subnet Mask        N    Agent Subnet Mask

And then later on the same page:

DHCP Agent Sub-Option Codes  per [RFC3046]

Code    Sub-Option Description                 Reference
-----   -----------------------                ---------
   1    Agent Circuit ID Sub-option            [RFC3046]
   2    Agent Remote ID Sub-option             [RFC3046]
   3    Sub-option 3 is reserved and should      [Droms]
        not be assigned at this time;
        proprietary and incompatible usages
        of this sub-option value have been
        seen limited deployment.
   4    DOCSIS Device Class Suboption          [RFC3256]

It appears that IANA assigned three DHCP option codes (82-84) when only one
DHCP option code was assigned in RFC 3046 (82).

Note that an earlier draft of RFC 3046 had a third suboption, "Agent Subnet
Mask Sub-option", that was removed prior to RFC publication -- this is why
suboption 3 is "reserved". That's why I think option 84 should be part of
this IANA cleanup.

-- Rich

-----Original Message-----
From: Kostur, Andre [mailto:[email-masked]]
Sent: Wednesday, October 09, 2002 11:53 AM
To: 'Van Aken Dirk'; [email-masked]'
Cc: Dedecker Hans; Dekeyser Miek
Subject: RE: [dhcwg] Conflicting information regarding DHCP options 82 and
83.

-----Original Message----- 
From: Van Aken Dirk [mailto:[email-masked]] 
Sent: Monday, October 07, 2002 1:27 AM 
To: [email-masked]' 
Cc: Dedecker Hans; Dekeyser Miek 
Subject: [dhcwg] Conflicting information regarding DHCP options 82 and 
83. 

On the other hand RFC3046 mentions the following":

---

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Fri, 11 Oct 2002 07:22:34 -0500

Thomas:

We are already working with IANA. They are willing to update the
options list with the specific references to RFCs (as I have
provided them). (As well as correct a few minor errors spotted
by Ted and IANA themselves.)

They will deassign the old options once Ralph works this through
the IETF/DHC WG to assure that there are no objections.

- Bernie

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]]
Sent: Thursday, October 10, 2002 10:20 PM
To: Bernie Volz (EUD)
Cc: 'John Schnizlein'; Woundy, Richard; [email-masked]
Subject: Re: [dhcwg] Conflicting information regarding DHCP options 82
and 83. 

> How do we officially get these comments to IANA? Is this something Ralph
> would handle?

The IANA web pages are not necessarily organized ideally. I'm sure
they'd welcome specific suggestions on how to make them better or to
have more specific information to include. For example, a number of
options don't point to an RFC or other document. If folks could fill
in that info, getting it up on the web page would be good.

Process wise, having Ralph provide a list to IANA that has been
reviewed by the WG would be great. (This goes for suggestions on
retiring old options as well.)

Look at the list below. Can folks fill in pointers to where the option
is documented  there is none now:

   80      Naming Authority         N    naming authority 
   81      Client FQDN              N    Fully Qualified Domain Name   [DRAFT-IETF-DHC-FQDN-OPTION] 
   82      Relay Agent Information  N    Relay Agent Information       [RFC3046] 
   83      Agent Remote ID          N    Agent Remote ID               
   84      Agent Subnet Mask        N    Agent Subnet Mask             
   85      NDS Servers              N    Novell Directory Services     [RFC2241] 
   86      NDS Tree Name            N    Novell Directory Services     [RFC2241] 
   87      NDS Context              N    Novell Directory Services     [RFC2241] 
   88      IEEE 1003.1 POSIX        N    IEEE 1003.1 POSIX Timezone 
   89      FQDN                     N    Fully Qualified Domain Name 
   90      Authentication           N    Authentication                [RFC3118] 
   91      Vines TCP/IP             N    Vines TCP/IP Server Option 
   92      Server Selection         N    Server Selection Option 
   93      Client System            N    Client System Architecture 
   94      Client NDI               N    Client Network Device Interface 
   95      LDAP                     N    Lightweight Directory Access Protocol 
   96      IPv6 Transitions         N    IPv6 Transitions 
   97      UUID/GUID                N    UUID/GUID-based Client Identifier 
   98      User-Auth                N    Open Group's User Authentication [RFC2485] 
   99      Unassigned 
   100     Printer Name             N    Printer Name 
   101     MDHCP                    N    DHCP multicast address 
   102-107 REMOVED/Unassigned 
   108     Swap Path                N    Swap Path Option 
   109     Unassigned 
   110     IPX Compatability        N    IPX Compatability 
   111     Unassigned 
   112     Netinfo Address          N    NetInfo Parent Server Address 
   113     Netinfo Tag              N    NetInfo Parent Server Tag 
   114     URL                      N    URL 
   115     Failover                 N    DHCP Failover Protocol 
   116     Auto-Config              N    DHCP Auto-Configuration       [RFC2563] 
   117     Name Service Search      N    Name Service Search           [RFC2937] 
   118     Subnet Selection Option  4    Subnet Selection Option       [RFC3011] 
   119     Domain Search            N    DNS domain serach list        [RFCABOB] 
   120     SIP Servers DHCP Option  N    SIP Servers DHCP Option       [RFC3361] 
   121     Classless Static Route   N    Classless Static Route Option [RFCCSR7] 
           Option 
   122-125 Unassigned 
   126     Extension                N    Extension 
   127     Extension                N    Extension 
   128-254 Private Use 
   255     End                      0    None                          [RFC2132] 

Thomas